
Figure - Bug #117491
【IOVDEV-20372】【IOV测试】【VC1】【SORP】【副屏】【实车341】飞书点击小窗口，功能闪退
2023-04-14 14:31 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-04-14

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 中控版本：03.02.0062.C101��副屏版本：0086

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: DeocorView在调用updateColorViews时,还没来得及给mDecorCaptionView赋值导致的

Description

【前提条件】

实车341

【操作步骤】

1.点击飞书-上划进入应用后台-点击飞书小窗口

【实际结果】

飞书闪退

【期望结果】

正常小窗口显示

【时间】

4月1号18:00

【备注】

VIN:LJD8BB3F0P0000341

LOG已经上传云

EE环境

History

#1 - 2023-04-14 16:52 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to 物联网测试组_TSCD 王维

- Need_Info changed from -- to TEST

Hi 王维

帮忙从客户哪儿取下日志传到此票上

需要日志进行错误定位

#2 - 2023-04-17 16:37 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 物联网测试组_TSCD 王维 to CD FW 曹覃刚
hi  

日志已同步，请帮忙分析定位问题原因；谢谢

ftp://cdiot@192.168.87.46/log/20372和20324

16：10（飞书异常闪退）

#3 - 2023-04-18 10:06 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

Hi 凯峰

从recent启动飞书小窗报如下错误，请帮助检查

-----------------------

04-17 16:08:35.494 21733 21733 E AndroidRuntime: FATAL EXCEPTION: main

04-17 16:08:35.494 21733 21733 E AndroidRuntime: Process: com.ss.android.lark, PID: 21733

04-17 16:08:35.494 21733 21733 E AndroidRuntime: java.lang.NullPointerException: Attempt to invoke virtual method 'android.view.View

com.android.internal.widget.DecorCaptionView.getCaption()' on a null object reference

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at com.android.internal.policy.DecorView.updateColorViews(DecorView.java:1251)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at com.android.internal.policy.PhoneWindow.dispatchWindowAttributesChanged(PhoneWindow.java:3041)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at android.view.Window.setDefaultWindowFormat(Window.java:1990)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at com.android.internal.policy.PhoneWindow.setDefaultWindowFormat(PhoneWindow.java:3777)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at com.android.internal.policy.DecorView.drawableChanged(DecorView.java:1832)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at com.android.internal.policy.DecorView.enableCaption(DecorView.java:2171)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at com.android.internal.policy.DecorView.createDecorCaptionView(DecorView.java:2379)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at com.android.internal.policy.DecorView.updateDecorCaptionStatus(DecorView.java:2249)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at com.android.internal.policy.DecorView.onConfigurationChanged(DecorView.java:2210)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at com.android.internal.policy.PhoneWindow.onMultiWindowModeChanged(PhoneWindow.java:770)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at android.app.Activity.dispatchMultiWindowModeChanged(Activity.java:8377)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at android.app.ActivityThread.handleWindowingModeChangeIfNeeded(ActivityThread.java:5981)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at android.app.ActivityThread.performActivityConfigurationChanged(ActivityThread.java:5839)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at android.app.ActivityThread.performConfigurationChangedForActivity(ActivityThread.java:5816)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at android.app.ActivityThread.handleActivityConfigurationChanged(ActivityThread.java:6105)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at

android.app.servertransaction.ActivityConfigurationChangeItem.execute(ActivityConfigurationChangeItem.java:55)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at android.app.servertransaction.ActivityTransactionItem.execute(ActivityTransactionItem.java:45)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

04-17 16:08:35.494 21733 21733 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

#4 - 2023-04-20 10:50 - CD FW-鲁凯峰

- Root cause set to DeocorView在调用updateColorViews时,还没来得及给mDecorCaptionView赋值导致的

■ Current conclusion
问题已经解决

■ My analysis

产生问题的原因是DeocorView在调用updateColorViews时,还没来得及给mDecorCaptionView赋值导致的

添加空指针判断即可

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/194907

#5 - 2023-04-20 20:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194907 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: fix caption view  objectadd  check when update caption backgroundTC-RID: 1201-0204601IssueID: TS-R-BUG-117491Change-Id:

I5be8c8919eb83af74bda5b50087e19167fdef17e

#6 - 2023-04-20 20:23 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#7 - 2023-04-21 15:01 - CD TEST-方永红

- Category changed from 窗口定制 to 依赖客户及其供应商解决

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维

【测试版本】

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304210449

【测试结论】

已修复

【下一步】

待客户验证后关闭

#8 - 2023-04-21 15:02 - CD TEST-方永红

- Status changed from RESOLVED to NEED_INFO

#9 - 2023-05-17 16:18 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

#10 - 2023-05-17 16:18 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#11 - 2023-05-17 16:18 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED
Files

飞书闪退.mp4 9.94 MB 2023-04-14 物联网测试组_TSCD 王维
